cdist-backup/cdist/conf
Dennis Camera 766198912d [type/__sshd_config] Produce error if invalid config file is generated
Previously, cdist would silently swallow the error (no invalid config file was
generated).

Reason: `set -e` does not exit if a command in a sub-command group fails,
it merely returns with a non-zero exit status.

e.g. the following snippet does not abort the script if sshd -t returns with a
non-zero exit status:

    set -e
    cmp -s old new || {
        # check config file and update it
        sshd -t -f new \
        && cat new >old
    }

or compressed:

    set -e
    false || { false && true; }
    echo $?
    # prints 1
2021-01-05 15:50:21 +01:00
..
explorer [explorer/os_version] Improve FreeBSD support. 2020-12-12 12:15:17 +01:00
manifest re-add sample, but longer name 2012-10-30 16:33:18 +01:00
type [type/__sshd_config] Produce error if invalid config file is generated 2021-01-05 15:50:21 +01:00
.gitignore make package_data work 2012-10-29 22:50:27 +01:00
README make package_data work 2012-10-29 22:50:27 +01:00

This is a sample configuration that can be used as an example
for /etc/cdist.

For instance:

   [root@kr etc]# ln -s ~nico/p/cdist/conf/ /etc/cdist